<html>
<head>
    <title>PHP test</title>
</head>
<body>
<pre>
    <?php
    require 'signer.php';
    $signer = new Signer();
    // 认证用的ak和sk硬编码到代码中或者明文存储都有很大的安全风险，建议在配置文件或者环境变量中密文存放，使用时解密，确保安全；
    // 本示例以ak和sk保存在环境变量中为例，运行本示例前请先在本地环境中设置环境变量HUAWEICLOUD_SDK_AK和HUAWEICLOUD_SDK_SK。
    $signer->Key = getenv('HUAWEICLOUD_SDK_AK');
    $signer->Secret = getenv('HUAWEICLOUD_SDK_SK');

    $req = new Request('POST', "https://30030113-3657-4fb6-a7ef-90764239b038.apigw.cn-north-1.huaweicloud.com/app1?a=1");
    $req->headers = array(
        'content-type' => 'application/json',
        'x-stage' => 'RELEASE',
    );
    $req->body = '';
    $curl = $signer->Sign($req);

    var_dump($req->headers);
    echo "--------------\n";
    $response = curl_exec($curl);
    $status = curl_getinfo($curl, CURLINFO_HTTP_CODE);
    if ($status == 0) {
        echo curl_error($curl);
    } else {
        echo $status . "\n";
        echo $response;
    }
    curl_close($curl);
    ?>
</pre>
</body>
</html>